> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/installation.md).

# Instalação do SDK

{% hint style="warning" %}
Certifique-se de que o Flutter esteja instalado e configurado no seu ambiente. Para instruções de instalação, visite o [Guia de instalação do Flutter](https://flutter.dev/docs/get-started/install).
{% endhint %}

### Use este pacote como uma biblioteca

#### Adicione como dependência

Execute este comando:

Com Flutter:

```shell
 $ flutter pub add flutter_caf_face_auth
```

Isso adicionará uma linha como esta ao pubspec.yaml do seu pacote (e executará um `flutter pub get`):

```yaml
dependências:
  flutter_caf_face_auth: ^1.0.0
```

Como alternativa, seu editor pode oferecer suporte a `flutter pub get`. Consulte a documentação do seu editor para saber mais.

#### Importe-o

Agora, no seu código Dart, você pode usar:

```dart
import 'package:flutter_caf_face_auth/face_auth.dart';
import 'package:flutter_caf_face_auth/face_auth_enums.dart';
import 'package:flutter_caf_face_auth/face_auth_events.dart';
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/flutter/standalone-modules/faceauthenticator/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
